# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


# An example log4j configuration file that outputs to System.out.  The
# output information consists of relative time, log level, thread
# name, logger name, nested diagnostic context and the message in that
# order.

# For the general syntax of property based configuration files see the
# documenation of org.apache.log4j.PropertyConfigurator.

#log4j.rootLogger=DEBUG, fileAppender, consoleAppender

# ConsoleAppender
log4j.appender.consoleAppender=org.apache.log4j.ConsoleAppender
log4j.appender.consoleAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.consoleAppender.layout.ConversionPattern=%d{HH:mm:ss,SSS} %-5p [%t] %c{2} %3x - %m%n

# SocketAppender
log4j.appender.socketAppender=org.apache.log4j.net.SocketAppender
log4j.appender.socketAppender.remoteHost=localhost
log4j.appender.socketAppender.port=4445
log4j.appender.socketAppender.locationInfo=true

# Regular FileAppender
log4j.appender.fileAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.fileAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.fileAppender.File=logs/bitzero.log
log4j.appender.fileAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.fileAppender.Encoding=UTF-8

# Regular DebugAppender
log4j.appender.DebugAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.DebugAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.DebugAppender.File=logs/bitzerodebug.log
log4j.appender.DebugAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.DebugAppender.Encoding=UTF-8

# BootLogger FileAppender(s)
log4j.appender.bootFileAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.bootFileAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.bootFileAppender.File=logs/boot/boot.log
log4j.appender.bootConsoleAppender.threshold=DEBUG
log4j.appender.bootFileAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.bootFileAppender.Encoding=UTF-8

log4j.appender.bootConsoleAppender=org.apache.log4j.ConsoleAppender
log4j.appender.bootConsoleAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.bootConsoleAppender.layout.ConversionPattern=%d{HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.bootConsoleAppender.threshold=WARN

# rmq logger
log4j.logger.rmq=WARN, rmq
log4j.appender.rmq=org.apache.log4j.DailyRollingFileAppender
log4j.appender.rmq.layout=org.apache.log4j.PatternLayout
log4j.appender.rmq.File=logs/rmq.log
log4j.appender.rmq.layout.ConversionPattern=%d{dd MMM yyyy | HH:mm:ss,SSS} | %-5p | %t | %c{3} | %3x | %m%n
log4j.appender.rmq.Encoding=UTF-8
log4j.appender.rmq.DatePattern='.'yyyy-MM-dd

#csv tra thuong thanh du
log4j.logger.fund_log=WARN, fund_log
log4j.appender.fund_log.layout=org.apache.log4j.PatternLayout
log4j.appender.fund_log=org.apache.log4j.RollingFileAppender
log4j.appender.fund_log.File=logs/fund_log.log
log4j.appender.fund_log.layout.ConversionPattern=%m%n
log4j.appender.fund_log.Encoding=UTF-8
log4j.appender.fund_log.DatePattern='.'yyyy-MM-dd-HH


# user core logger
log4j.logger.user_core=WARN, user_core
log4j.appender.user_core=org.apache.log4j.DailyRollingFileAppender
log4j.appender.user_core.layout=org.apache.log4j.PatternLayout
log4j.appender.user_core.File=logs/user_core/user_core.log
log4j.appender.user_core.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.user_core.Encoding=UTF-8
log4j.appender.user_core.DatePattern='.'yyyy-MM-dd

#csv tra thuong thanh du
log4j.logger.csvThanhDuPrize=WARN, csvThanhDuPrize
log4j.appender.csvThanhDuPrize.layout=org.apache.log4j.PatternLayout
log4j.appender.csvThanhDuPrize=org.apache.log4j.RollingFileAppender
log4j.appender.csvThanhDuPrize.File=logs/thanhdu/thanhdu.csv
log4j.appender.csvThanhDuPrize.layout.ConversionPattern=%m%n
log4j.appender.csvThanhDuPrize.Encoding=UTF-8
log4j.appender.csvThanhDuPrize.DatePattern='.'yyyy-MM-dd-HH

#csv tra thuong cao thap san bai dep
log4j.logger.csvCaoThapPrize=WARN, csvCaoThapPrize
log4j.appender.csvCaoThapPrize.layout=org.apache.log4j.PatternLayout
log4j.appender.csvCaoThapPrize=org.apache.log4j.RollingFileAppender
log4j.appender.csvCaoThapPrize.File=logs/caothap/sanbaidep.csv
log4j.appender.csvCaoThapPrize.layout.ConversionPattern=%m%n
log4j.appender.csvCaoThapPrize.Encoding=UTF-8
log4j.appender.csvCaoThapPrize.DatePattern='.'yyyy-MM-dd-HH

#csv tra thuong toi chon ca
log4j.logger.csvToiChonCa=WARN, csvToiChonCa
log4j.appender.csvToiChonCa.layout=org.apache.log4j.PatternLayout
log4j.appender.csvToiChonCa=org.apache.log4j.RollingFileAppender
log4j.appender.csvToiChonCa.File=logs/baucua/csvToiChonCa.csv
log4j.appender.csvToiChonCa.layout.ConversionPattern=%m%n
log4j.appender.csvToiChonCa.Encoding=UTF-8
log4j.appender.csvToiChonCa.DatePattern='.'yyyy-MM-dd-HH

#csv bet tai xiu
log4j.logger.csvBetTaiXiu=WARN, csvBetTaiXiu
log4j.appender.csvBetTaiXiu.layout=org.apache.log4j.PatternLayout
log4j.appender.csvBetTaiXiu=org.apache.log4j.RollingFileAppender
log4j.appender.csvBetTaiXiu.File=logs/taixiu/csvBetTaiXiu.csv
log4j.appender.csvBetTaiXiu.layout.ConversionPattern=%m%n
log4j.appender.csvBetTaiXiu.Encoding=UTF-8
log4j.appender.csvBetTaiXiu.DatePattern='.'yyyy-MM-dd-HH

#csv play poke go
log4j.logger.csvPokeGo=WARN, csvPokeGo
log4j.appender.csvPokeGo.layout=org.apache.log4j.PatternLayout
log4j.appender.csvPokeGo=org.apache.log4j.RollingFileAppender
log4j.appender.csvPokeGo.File=logs/poke_go/csvPokeGo.csv
log4j.appender.csvPokeGo.layout.ConversionPattern=%m%n
log4j.appender.csvPokeGo.Encoding=UTF-8
log4j.appender.csvPokeGo.DatePattern='.'yyyy-MM-dd-HH


# ConversionPattern=%-4r %-5p [%t] %37c %3x - %m%n

# The file is rolled over very day
# '.'yyyy-MM-dd-HH			rolls every hour
# '.'yyyy-MM-dd-HH-mm		rolls every minute
#log4j.appender.fileAppender.DatePattern  ='.'yyyy-MM-dd-HH

# log4j.category.com.bitzero=DEBUG,consoleAppender,fileAppender,socketAppender
log4j.category.SystemController=WARN,consoleAppender,fileAppender
log4j.category.bitzero=WARN,consoleAppender,fileAppender
log4j.category.bootLogger=INFO,bootFileAppender,bootConsoleAppender
log4j.category.Extensions=WARN,consoleAppender,fileAppender
log4j.category.request=WARN,consoleAppender,fileAppender
log4j.category.debug=WARN,consoleAppender,DebugAppender
log4j.category.bitzero.controllers=WARN,consoleAppender,fileAppender


# api logger
log4j.logger.api=DEBUG, api
log4j.appender.api=org.apache.log4j.DailyRollingFileAppender
log4j.appender.api.layout=org.apache.log4j.PatternLayout
log4j.appender.api.File=logs/api/api.log
log4j.appender.api.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.api.Encoding=UTF-8
log4j.appender.api.DatePattern='.'yyyy-MM-dd
